import 'package:flutter/material.dart';

class MyTheme {
  MyTheme({
    this.name,
    this.describe,
    this.icon,
    this.brightness,
    this.backgroundColor,
    this.scaffoldBackgroundColor,
    this.primaryColor,
    this.primaryColorBrightness,
    this.accentColor,
    this.textColor,
    this.subTextColor,
    this.boxItemColor,
    this.appBarBackgroundColor,
    this.appBarTextColor,
    this.popupBackgroundColor,
    this.dividerColor,
  });

  String name;
  String describe;
  IconData icon;
  Brightness brightness;
  Color backgroundColor;
  Color scaffoldBackgroundColor;
  Color primaryColor;
  Brightness primaryColorBrightness;
  Color accentColor;
  Color appBarBackgroundColor;
  Color appBarTextColor;
  Color textColor;
  Color subTextColor;
  Color boxItemColor;
  Color popupBackgroundColor;
  Color dividerColor;

  TextStyle appbarTitle() {
    return TextStyle(
      fontWeight: FontWeight.w600,
      fontSize: 17.0,
//      fontFamily: FontType.openSans,
      color: appBarTextColor,
    );
  }

  TextStyle headline() {
    return TextStyle(
      /// h5 -> headline
//      fontFamily: FontType.openSans,
      fontWeight: FontWeight.w600,
      fontSize: 16,
      letterSpacing: 0.27,
    );
  }

  TextStyle question() {
    return TextStyle(
//      fontFamily: FontType.openSans,
      fontSize: 18.0,
      fontWeight: FontWeight.w600,
      color: textColor,
    );
  }
}

class AppTheme {
  AppTheme._();

  /// Light theme
  static const Color blueSky = Color(0xff3880FF);
  static const Color nearlyWhite = Color(0xFFFEFEFE);
  static const Color backgroundWhite = Color(0xFFF2F3F8);
  static const Color grey = Color(0xFF3A5160);
  static const Color subBlue = Color(0xff3880ee);
  static const Color whiteText = Color(0xFFfefefe);

  static var defaultLight = MyTheme(
    name: 'Default',
    describe: 'Light',
    icon: Icons.wb_sunny,
    brightness: Brightness.dark,
    backgroundColor: nearlyWhite,
    scaffoldBackgroundColor: backgroundWhite,
    primaryColor: blueSky,
    primaryColorBrightness: Brightness.dark,
    accentColor: subBlue,
    textColor: blueSky,
    subTextColor: grey,
    boxItemColor: nearlyWhite,
    appBarBackgroundColor: blueSky,
    appBarTextColor: whiteText,
    popupBackgroundColor: blueSky,
    dividerColor: grey.withOpacity(0.45),
  );
}
