import 'package:flutter/material.dart';
import 'home_page.dart';

final GlobalKey<NavigatorState> navigatorKey = GlobalKey<NavigatorState>();

class Routes {
  static const String home = 'home_page';
}

class RouteArgument {
  static const String quizItem = 'quiz_item';
}

Route<dynamic> generateRoute(RouteSettings settings) {
//  final Map args = settings.arguments;

  switch (settings.name) {
    case Routes.home:
      return NoAnimationMaterialPageRoute(
        settings: RouteSettings(name: Routes.home),
        maintainState: false,
        builder: (context) => MyHomePage(title: 'Flutter Demo 😀'),
      );

    default:
      return MaterialPageRoute(
        builder: (context) => Scaffold(
          body: Center(
            child: Text('No path for ${settings.name}'),
          ),
        ),
      );
  }
}

class NoAnimationMaterialPageRoute<T> extends MaterialPageRoute<T> {
  NoAnimationMaterialPageRoute({
    @required WidgetBuilder builder,
    RouteSettings settings,
    bool maintainState = true,
    bool fullscreenDialog = false,
  }) : super(
      builder: builder,
      maintainState: maintainState,
      settings: settings,
      fullscreenDialog: fullscreenDialog);

  @override
  Widget buildTransitions(BuildContext context, Animation<double> animation,
      Animation<double> secondaryAnimation, Widget child) {
    return child;
  }
}